एक्सेप्शन उत्पन्न करना (throw Statement)

कई बार ऐसा होता है कि सब कुछ सामान्य होने के कारण जावा कोई एक्सेप्शन उत्पन्न नहीं करता है। किन्तु, यदि कुछ विशेष परिस्थिति होने पर यूज़र एक्सेप्शन (एरर) उत्पन्न करवाना चाहता है, जो throw कीवर्ड की सहायता से एक्सेप्शन उत्पन्न करवाई जा सकता है।

नीचे दिए गए उदाहरण में किसी विशेष कंडीशन पर ArithmeticException क्लास का एक्सेप्शन उत्पन्न करवाया गया है -

class Demo
{
	public static void main(String arr[])
	{
		int a = 10, b = 5, c;
		try
		{
			c = b - a;
			if(c < 0)
				throw new ArithmeticException();
			System.out.println(c);
		}
		catch(ArithmeticException e)
		{
			System.out.println("Negative value");	
		}
	}
}

Output:

Negative value

नीचे दिए गए उदाहरण में किसी विशेष कंडीशन पर ।ArithmeticException क्लास का एक्सेप्शन उत्पन्न करवाया गया है, साथ ही एक मैसेज को आरग्यूमेंट की तरह भेजा गया है। इस मैसेज को catch ब्लाॅक के माध्यम से वापस प्रिंट करवाया गया हैः

class Demo
{
  public static void main(String arr[])
  {
    int a = 10, b = 5, c;
    try
    {
	c = b - a;
	if(c < 0)
		throw new ArithmeticException("Negative value");
	System.out.println(c);
    }
    catch(ArithmeticException e)
    {
	System.out.println(e);	
    }
  }
}

Output:

java.lang.ArithmeticException: Negative value

नीचे दिए गए उदाहरण में यदि z का मान 2 या 2 से कम होने की स्थिति में हमारे द्वारा बनाया गया एक्सेप्शन उत्पन्न किया गया है।

class MyExcep extends Exception
{
  MyExcep()
  {
    System.out.println("In MyExcep class");
  }
}
class UserDefinedException
{
  public static void main(String arr[])
  {
    int x = 5, y = 10;
    try
    {
      int z = y / x;
      if(z <= 2)
        throw new MyExcep();
    }
    catch(MyExcep e)
    {
      System.out.println("z is less than 2");
    }
  }
}

Output:

In MyExcep class
z is less than 2
सुझाव / कमेंट